Package fr.gouv.vitam.functionaltest.cucumber.step

# Class ExternalLogbookStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.ExternalLogbookStep

public class ExternalLogbookStep extends CommonStep
External Logbook Step

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalLogbookStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `a_sip_named(String fileName)`
  define a sip
  `void`
  `createExternalLogbook()`
  `void`
  `createExternalLogbookKO()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getModel()`
  `void`
  `setModel(com.fasterxml.jackson.databind.JsonNode model)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalLogbookStep

    public ExternalLogbookStep(World world)

- ## Method Details

  - ### getModel

    public com.fasterxml.jackson.databind.JsonNode getModel()
    Returns:
      generic Model

  - ### setModel

    public void setModel(com.fasterxml.jackson.databind.JsonNode model)

  - ### a_sip_named

    @Given("^un fichier de logbook operation nomm\u00e9 (.*)$") public void a_sip_named(String fileName)
    define a sip
    Parameters:
      `fileName` - name of a sip

  - ### createExternalLogbook

    @Then("^j\'importe un journal d\'op\u00e9ration correct$") public void createExternalLogbook()

  - ### createExternalLogbookKO

    @Then("^j\'importe un journal d\'op\u00e9ration incorrect$") public void createExternalLogbookKO()